Get Application Overview
curl --request GET \
--url https://api.bunny.net/mc/apps/{appId}/overview \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/mc/apps/{appId}/overview"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/mc/apps/{appId}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"targetLatency": {
"indicator": 123
},
"currentLatency": {
"indicator": 123
},
"activeRegions": {
"indicator": 123
},
"activeInstances": {
"indicator": 123
},
"desiredInstances": 123,
"averageCPU": {
"indicator": 123
},
"averageRAM": {
"indicator": 123
},
"averageVolumesUsage": {
"indicator": 123
},
"regions": [
{
"region": "<string>",
"isRequired": true,
"instances": 123,
"averageCPU": 123,
"averageRAM": 123,
"averageVolumesUsagePercentage": 123,
"requests": 123,
"anycastTraffic": 123,
"pods": [
{
"name": "<string>",
"lastHeartBeat": "2023-11-07T05:31:56Z",
"outboundTrafficChart": {},
"cpuUsage": 123,
"ramUsage": 123,
"containers": [
{
"id": "<string>",
"name": "<string>",
"cpuUsage": 123,
"ramUsage": 123,
"reason": "<string>",
"message": "<string>",
"image": "<string>",
"imageDisplay": "<string>",
"numberOfRestarts": 123,
"exitCode": 123
}
],
"message": "<string>",
"volumesUtilizationPercentage": {},
"ephemeralStorageUsageBytes": 123,
"ephemeralStorageLimitBytes": 123,
"ephemeralStorageUsageRatio": 123,
"outboundConnectionsLimit": 123,
"outboundConnectionsRejectedDiff": 123
}
]
}
],
"averageLatency": 123,
"totalVolumeSizeInGb": 123,
"monthlyCost": 123,
"latencyChart": {}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Applications
Get Application Overview
Retrieves comprehensive status overview for an application including latency, CPU/RAM usage, active instances, regions, and cost information.
GET
/
apps
/
{appId}
/
overview
Get Application Overview
Authorizations
Please enter a valid personal API key.
Path Parameters
Response
Application status overview was successfully retrieved.
Application overview model
Status grade model
Show child attributes
Show child attributes
Status grade model
Show child attributes
Show child attributes
Status grade model
Show child attributes
Show child attributes
Status grade model
Show child attributes
Show child attributes
Available options:
unknown, active, progressing, inactive, failing, suspended Status grade model
Show child attributes
Show child attributes
Status grade model
Show child attributes
Show child attributes
Status grade model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 7, 2026
Was this page helpful?
⌘I